错误︰ Configuration 与名称默认找不到-图书馆 Android studio

发布时间: 2016/9/26 6:06:48
注意事项: 本文中文内容可能为机器翻译,如要查看英文原文请点击上面连接.

添加外部库"FloatingActionButton 大师",我从https://github.com/makovkastar/FloatingActionButton下载但我与 gradle 同步时出现此错误︰输入图像描述在这里

(我没有足够的声誉邮政图像) 我试着从这个论坛的许多不同答案,但没有了对我的情况很有帮助。我不知道是什么问题。

settings.gradle:

include ':app'
include ':librerias:FloatingActionButton-master'

app/build.gradle:

apply plugin: 'com.android.application'

android {
compileSdkVersion 22
buildToolsVersion "24.0.1"

defaultConfig {
    applicationId "com.example.ezequiel.memories"
    minSdkVersion 22
    targetSdkVersion 22
    versionCode 1
    versionName "1.31.08"
}
buildTypes {
    release {
        minifyEnabled false
        proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
    }
}
}

dependencies {
compile fileTree(include: ['*.jar'], dir: 'libs')
compile project(':librerias:FloatingActionButton-master')
}

解决方法 1:

要包括你不需要克隆/下载存储库中,也不添加源那图书馆手动,你应该只添加依赖项,如下所示︰

dependencies {
    ...
    compile 'com.melnykov:floatingactionbutton:1.3.0'
}

然而,根据图书馆,你不应该使用它不再因为它作为已被否决 Android 支持库已经带有晶圆厂 (FloatingActionButton) button

使用 button 从支持的库中,你应该相反添加以下内容︰

dependencies {
    ...
    compile 'com.android.support:design:24.2.0'
}

然后使用它在你 layout :

<android.support.design.widget.FloatingActionButton
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        ... />

你可以看到下面代码实验室有关更多详细信息。

官方微信
官方QQ群
31647020